var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import i18n from 'ui-i18n';
import classnames from 'classnames';
import NoDataIcon from '../icons/NoDataSearch';
import { useStyles } from './styles';
export var EmptySearchResult = function (_a) {
    var className = _a.className, _b = _a.variant, variant = _b === void 0 ? 'noResults' : _b, other = __rest(_a, ["className", "variant"]);
    var styles = useStyles();
    var message = variant === 'noResults' ? i18n.text('No results found') : i18n.text('No data available');
    return (React.createElement("div", __assign({ className: classnames(styles.container, className) }, other),
        React.createElement(NoDataIcon, { className: styles.smallIcon }),
        React.createElement("div", { className: styles.text }, message)));
};
